Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Event_Handler_Handle_Timeout_Upcall Class Template Reference

Functor for Timer_Queues. More...

`#include <Timer_Queue_T.h>`

List of all members.

## Public Types
typedef ACE_Timer_Queue_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK>, ACE_LOCK> | TIMER_QUEUE
## Public Methods
| ACE_Event_Handler_Handle_Timeout_Upcall (void)
| Constructor.
| ~ACE_Event_Handler_Handle_Timeout_Upcall (void)
| Destructor.
int | timeout (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg, const ACE_Time_Value &cur_time)
| This method is called when the timer expires.
int | cancellation (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler)
| This method is called when the timer is canceled.
int | deletion (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg)
| This method is called when the timer queue is destroyed and the timer is still contained in it.
## Private Methods
| ACE_Event_Handler_Handle_Timeout_Upcall (const ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK> &)
void | operator= (const ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK> &)

## Detailed Description

### template<class ACE_LOCK> template class ACE_Event_Handler_Handle_Timeout_Upcall

Functor for Timer_Queues.

This class implements the functor required by the Timer Queue to call <handle_timeout> on ACE_Event_Handlers.

## Member Typedef Documentation

template<classACE_LOCK>
typedef ACE_Timer_Queue_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>, ACE_LOCK> ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::TIMER_QUEUE

## Constructor & Destructor Documentation

template<classACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK> ( | void )

| Constructor.

template<classACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::~ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK> ( | void )

| Destructor.

template<classACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK> ( | const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >& )`[private]`

## Member Function Documentation

template<classACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::cancellation ( | TIMER_QUEUE & timer_queue,
| ACE_Event_Handler * handler )

| This method is called when the timer is canceled.

template<classACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::deletion ( | TIMER_QUEUE & timer_queue,
| ACE_Event_Handler * handler,
| const void * arg )

| This method is called when the timer queue is destroyed and the timer is still contained in it.

template<classACE_LOCK>
void ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::operator= ( | const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >& )`[private]`

template<classACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>::timeout ( | TIMER_QUEUE & timer_queue,
| ACE_Event_Handler * handler,
| const void * arg,
| const ACE_Time_Value & cur_time )

| This method is called when the timer expires.

The documentation for this class was generated from the following files:

- Timer_Queue_T.h
- Timer_Queue_T.cpp